Subject: issue 66

From: Yakov Rekhter <[email-masked]>
Date: Thu, 17 Oct 2002 06:45:29 -0700

66) Complex AS Path Aggregating
  ----------------------------------------------------------------------------
  Status: No Consensus
  Change: Potentially
  Summary: Do we remove a section of the spec that has to do with an aggregation
    scheme that is rarely used?
  
  Discussion:
  
  Jonathan opened this discussion with:
  
  The part in the draft about complex AS path aggregation could/should be
  deleted.  The current draft implies that when aggregating, for example
  (1st):
  
  1 2 4 3
  
  w/
  
  3 4 6 5
   
  and
  
  5 6 7 8
  
  then
  
  1 2 {3 4 5 6} 7 8
  
  ...would be OK
  
  AFAIK, all implementations aggregate by either: (2nd)putting ONLY the local
  AS in the path (and setting the atomic) OR (3rd)by creating 1 giant set and
  adding the local AS as a seq.
  
  So he proposed we remove this to reflect current code.
  
  Jeff replied that there is absolutely nothing wrong with doing complex
  aggregation, and there is no reason to remove this from the specification.

Jonathan is certainly correct that the spec has to reflect current
code.  Therefore, unless there are at least two (interoperable)
implementations that implement the algorithm described in "6.8
Complex AS_PATH aggregation", this section has to be removed (this
is irrespective of whether there is something wrong, or nothing
wrong with complex aggregation). With this in mind, if you implement
this algorithm please speak up within a week.  If within a week we
wouldn't know that there are at least two implementations the
section will be removed. And likewise, if we hear that there are
at least two implementations, the section will stay. 

Yakov.

---

From: Jeffrey Haas <[email-masked]>
Date: Thu, 17 Oct 2002 10:10:42 -0400

>   aggregation, and there is no reason to remove this from the specification.

I am also fine with removing it.  I just don't think its necessary,
especially if One Of These Days someone decides that running policy
based on as-adjacencies would be a Nice Thing and fixes their
implementation to support "complex" aggregation of paths.

That said, I am aware of no one who implements this.

-- 
Jeff Haas 
NextHop Technologies